# Salesforce DX

A core plugin to the Salesforce DX CLI that provides all commands under the force topic.

* [Salesforce DX Setup Guide](https://sfdc.co/sfdx_setup_guide)
* [Salesforce DX Developer Guide](https://sfdc.co/sfdx_dev_guide)
* [Salesforce CLI Command Reference](https://sfdc.co/sfdx_cli_reference)
* [Salesforce Developer Tools for Visual Studio Code](https://marketplace.visualstudio.com/items?itemName=salesforce.salesforcedx-vscode)

## Installing

Download and install the [Salesforce DX CLI](https://developer.salesforce.com/tools/sfdxcli). 

By default, the Salesforce DX plugin is bundled with the cli:

```bash
sfdx plugins --core
```

### Install a "tagged" version of Salesforce DX

Use this to install a previous version of Salesforce DX or install a version that has not been promoted to the "latest" version.

For instances that are on pre-release:
```bash
sfdx plugins:install salesforcedx@pre-release
```

To set to a specific version:
```bash
sfdx plugins:install salesforcedx@41.4.1
```

## Salesforce DX Development

For development, find more information [here](./SETUP.md)

